리눅스 서버용 필수설치 프로그램

소스로 설치하는 경우에 gcc가 꼭 필요하다.
gcc는 컴파일러... 윈도우처럼 os가 윈xp,윈98,윈2000,처럼 별로 많지가 않으면 간단하게 설치파일만 배포해도 되겠지만 리눅스는 os종류가 너무 많아서 그게 안된다. 그래서 소스코드를 배포하는 경우가 많기 때문에 컴파일러가 필요하다.

rpm -qa gcc* cpp* compat-gcc* flex
gcc와 cpp...등이 깔려있나 확인하는 명령
거의 안 깔려있다.

잘 모르겠으면 일단 밑에거 입력... 이미 깔려있으면 안깔리고 넘어간다.
yum -y  install gcc cpp gcc-c++ compat-gcc-32-g77 flex

compat-gcc는 없다고 나온다. khlug서버에서 지원이 안된다. 다른데서 지원이 되서 이제는 필요없어진건가..? 큰 문제는 없으니 패스? 다운받아서 깔 수는 있다.

서버로 홈페이지를 운영할거라면 필요한 라이브러리들

libpng http://www.libpng.org
png(portable network graphics)파일 지원

freetype http://www.freetype.org
폰트엔진

jpeg http://www.ijg.org
jpeg지원..

gd http://www.libgd.org
동적이미지 생성

rpm으로 설치
rpm -qa libjpeg* libpng* freetype* gd-*
안깔려있으면

yum install libjpeg-devel libpng-devel freetype-devel gd-devel

y몇번 눌러주면 된다. 최신판을 소스로 설치할수도 있지만.. 이게 더 편하다.

Leave a Reply

Your email address will not be published. Required fields are marked *

 characters available

− 4 = 4